compact1, compact2, compact3
java.io

## Class InterruptedIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SocketTimeoutException

    public class InterruptedIOException
    extends IOException

Signals that an I/O operation has been interrupted. An `InterruptedIOException` is thrown to indicate that an input or output transfer has been terminated because the thread performing it was interrupted. The field `bytesTransferred` indicates how many bytes were successfully transferred before the interruption occurred.

Since:
  JDK1.0
See Also:
  `InputStream`, `OutputStream`, `Thread.interrupt()`, Serialized Form

### Field Summary

Fields
`int` `bytesTransferred` Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

### Constructor Summary

Constructors
Constructor and Description
`InterruptedIOException()` Constructs an `InterruptedIOException` with `null` as its error detail message.
`InterruptedIOException(String s)` Constructs an `InterruptedIOException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### bytesTransferred

    public int bytesTransferred

Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

### Constructor Detail

#### InterruptedIOException

    public InterruptedIOException()

Constructs an `InterruptedIOException` with `null` as its error detail message.

#### InterruptedIOException

    public InterruptedIOException(String s)

Constructs an `InterruptedIOException` with the specified detail message. The string `s` can be retrieved later by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

Parameters:
  `s` - the detail message.